thread.h File Reference

Thread support. More...

`#include <memory>`
`#include <mutex>`
`#include <sys/types.h>`
`#include <thread>`
`#include <libcamera/signal.h>`
`#include "libcamera/internal/utils.h"`

Go to the source code of this file.

## Classes

class | libcamera::Thread
| A thread of execution. More...

## Typedefs

using | libcamera::Mutex = std::mutex
| An alias for std::mutex.
using | libcamera::MutexLocker = std::unique_lock< std::mutex >
| An alias for std::unique_lock<std::mutex>

## Detailed Description

Thread support.